//
//  MSInputSheet.h
//  DrawCore
//
//  Created by Pieter Omvlee on 29/11/2009.
//  Copyright 2009 Bohemian Coding. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <Chocolat/Chocolat.h>

typedef void (^CompletionBlock)(NSString *message);

@interface MSInputSheet : CHInputSheet
{
  CompletionBlock completionBlock;
}
@property (assign) CompletionBlock completionBlock;
+ (id)runWithTitle:(NSString *)title
          subtitle:(NSString *)subtitle
        fieldTitle:(NSString *)fieldTitle
      defaultValue:(NSString *)defaultValue
   completionBlock:(void (^)(NSString *stringValue))block;
@end
