//
//  MSInfoSheet.h
//  DrawCore
//
//  Created by Pieter Omvlee on 07/01/2010.
//  Copyright 2010 Bohemian Coding. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <Chocolat/Chocolat.h>

typedef void (^InfoCompletionBlock)();

@interface MSInfoSheet : CHSheetController
{
  InfoCompletionBlock completionBlock;
  
  IBOutlet NSButton *dontShowAgainButton;
}
@property (assign) InfoCompletionBlock completionBlock;

+ (id)runWithNibName:(NSString *)nibName completionBlock:(InfoCompletionBlock)block;
@end
